<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 07/13/2011 *
 * ===================                          Last change: 07/13/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-repair_refs.php                             *
 * -------------------------------------------------------------------- *
 * Short description : "Repairs" the referral system                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : "Repariert" das Referral-System                  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Extension ext-user must be at least v0.4.4
if (isExtensionInstalledAndOlder('user', '0.4.4')) {
	// Display outdated-message and exit
	displayMessage(generateExtensionOutdatedMessage('user', '0.4.4'));
	return;
} // END - if

// Just include fix_refsystem.php again
loadIncludeOnce('inc/fix_refsystem.php');

// Output message
displayMessage('{--ADMIN_REPAIR_REFERRAL_SYSTEM_DONE--}');

// [EOF]
?>
